Package org.gdal.osr

## Class CoordinateTransformation

- java.lang.Object
- - org.gdal.osr.CoordinateTransformation

-     public class CoordinateTransformation
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CoordinateTransformation​(long cPtr, boolean cMemoryOwn)` |
    `CoordinateTransformation​(SpatialReference src, SpatialReference dst)` |
    `CoordinateTransformation​(SpatialReference src, SpatialReference dst, CoordinateTransformationOptions options)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CoordinateTransformation` | `CreateCoordinateTransformation​(SpatialReference src, SpatialReference dst)` |
    `void` | `delete​()` |
    `static long` | `getCPtr​(CoordinateTransformation obj)` |
    `void` | `TransformPoint​(double[] inout)` |
    `void` | `TransformPoint​(double[] argout, double x, double y)` |
    `void` | `TransformPoint​(double[] argout, double x, double y, double z)` |
    `void` | `TransformPoint​(double[] argout, double x, double y, double z, double t)` |
    `double[]` | `TransformPoint​(double x, double y)` |
    `double[]` | `TransformPoint​(double x, double y, double z)` |
    `void` | `TransformPoints​(double[][] nCount)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CoordinateTransformation

          public CoordinateTransformation​(long cPtr,
                                          boolean cMemoryOwn)

    - #### CoordinateTransformation

          public CoordinateTransformation​(SpatialReference src,
                                          SpatialReference dst)

    - #### CoordinateTransformation

          public CoordinateTransformation​(SpatialReference src,
                                          SpatialReference dst,
                                          CoordinateTransformationOptions options)

  - ### Method Detail

    - #### getCPtr

          public static long getCPtr​(CoordinateTransformation obj)

    - #### delete

          public void delete​()

    - #### TransformPoint

          public double[] TransformPoint​(double x,
                                         double y,
                                         double z)

    - #### TransformPoint

          public double[] TransformPoint​(double x,
                                         double y)

    - #### CreateCoordinateTransformation

          public static CoordinateTransformation CreateCoordinateTransformation​(SpatialReference src,
                                                                                SpatialReference dst)

    - #### TransformPoint

          public void TransformPoint​(double[] inout)

    - #### TransformPoint

          public void TransformPoint​(double[] argout,
                                     double x,
                                     double y,
                                     double z)

    - #### TransformPoint

          public void TransformPoint​(double[] argout,
                                     double x,
                                     double y)

    - #### TransformPoint

          public void TransformPoint​(double[] argout,
                                     double x,
                                     double y,
                                     double z,
                                     double t)

    - #### TransformPoints

          public void TransformPoints​(double[][] nCount)